Get agent action status
- Base URL
-
https://{kibana_url}
-
GET
/api/fleet/agents/action_status
-
GET
/s/{space_id}/api/fleet/agents/action_status
Auth
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
perPage
integer · default: 20
-
The number of items to return
-
page
integer · default: 1
-
errorSize
integer · default: 5
-
items
object[]
required
-
-
creationTime
string
required
-
creation time of action
-
latestErrors
object[]
-
latest errors that happened when the agents executed the action
-
-
nbAgentsAck
number
required
-
number of agents that acknowledged the action
-
nbAgentsActionCreated
number
required
-
number of agents included in action from kibana
-
nbAgentsActioned
number
required
-
number of agents actioned
-
nbAgentsFailed
number
required
-
number of agents that failed to execute the action
-
newPolicyId
string
-
new policy id (POLICY_REASSIGN action)
-
policyId
string
-
policy id (POLICY_CHANGE action)
-
revision
string
-
new policy revision (POLICY_CHANGE action)
-
startTime
string
-
start time of action (scheduled actions)
-
status
enum
required
-
Values:
COMPLETE
EXPIRED
CANCELLED
FAILED
IN_PROGRESS
ROLLOUT_PASSED
-
type
enum
required
-
Values:
POLICY_REASSIGN
UPGRADE
UNENROLL
FORCE_UNENROLL
UPDATE_TAGS
CANCEL
REQUEST_DIAGNOSTICS
SETTINGS
POLICY_CHANGE
INPUT_ACTION
-
version
string
-
agent version number (UPGRADE action)
Thank you for your feedback.